Page MenuHomePhabricator

[SPIKE] How does beta features work
Closed, ResolvedPublic

Description

Can we use beta features for the majority of our features?
Someone should take a look at the BetaFeatures extension, work out what needs to change there to allow us to use it in mobile.

What do we gain? What do we lose?
How much work is needed to get it into a form we can use in mobile?

Duration: 4hrs

Event Timeline

Jdlrobson created this task.Jun 1 2015, 6:02 PM
Jdlrobson assigned this task to kaldari.
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson removed kaldari as the assignee of this task.Jun 1 2015, 6:05 PM
Jdlrobson set Security to None.
phuedx renamed this task from How does beta features work to [SPIKE] How does beta features work.Jun 10 2015, 3:33 PM
Jhernandez triaged this task as Medium priority.Aug 17 2015, 11:19 AM
Jdlrobson closed this task as Resolved.Dec 3 2015, 11:42 PM
Jdlrobson claimed this task.

Conclusions:

  • Beta features needs to first be accessible via preferences. See T78186
  • Most beta features would be shown despite being unusable T78096

Things we'd lose:

  • Not been able to give beta features to anonymous users

Things we'd gain:

  • ability to enable things optionally and get some context

Conclusion:
We should fix T78096 and T78186 and this would be a useful tool in our armory. Sadly not right now.

POSSIBLE CHANGES IN "BetaFeatures" EXTENSION
• Probably, we will have to make a new module or modify an existing module for enabling the features in mobile and have to define the 'targets'.
• 'targets' must be set to mobile.
• MobileFrontend's "Minerva" skin might prove handy.

POSSIBLE CHANGES IN "MobileFrontend" EXTENSION
• Make the use of hook "EnableMobileModules" and making it stable.

WHAT DO WE GAIN?
• MobileFrontend users’ trust and confidence in Wikimedia
• Growth of Beta features
• Better UI and performance

WHAT DO WE LOSE?
• More complications
• Lags may occur while using
• Since the features are still in developer stage, it may have some nasty loopholes that might annoy the MobileFrontend user.

HOW MUCH WORK IS NEEDED TO GET IT INTO A FORM WE CAN USE IN MOBILE?

Obviously, a pretty good amount of work is needed to get it into work for mobile. The developers need to consider and evaluate the loopholes/bugs that might occur while using the features in mobile. Also, a proper framework has to be kept in mind while preparing the "module" for enabling the features in mobile so that other things might not get disturbed.

SOME POINTS TO BE KEPT IN MIND WHILE PREPARING THE MODULE IN "BetaFeatures" extension
• Since the screen resolution of desktop and mobile is a lot different, user interface should be simple and easy.
Must restrict the design to 320px
• Make use of "%" and "em's" instead of using "px"
• Minimum width should be 768px
• Also keep the browswer compatibility in mind. Maybe older versions of IE might not support the features.